Bug 1111970 (kf5-plasma) - Review Request: kf5-plasma - KDE Frameworks 5 Tier 3 framework with foundations to build a primary user interface
Summary: Review Request: kf5-plasma - KDE Frameworks 5 Tier 3 framework with foundatio...
Keywords:
Status: CLOSED RAWHIDE
Alias: kf5-plasma
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jan Grulich
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: kf5-kconfigwidgets kf5-kiconthemes kf5-kservice kf5-kxmlgui kf5-kio kf5-kdeclarative kf5-kactivities
Blocks: kde-reviews kf5 kf5-krunner
TreeView+ depends on / blocked
 
Reported: 2014-06-22 12:28 UTC by Daniel Vrátil
Modified: 2015-11-02 01:38 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-07-07 14:23:56 UTC
Type: ---
jgrulich: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Daniel Vrátil 2014-06-22 12:28:43 UTC
Spec URL: http://dvratil.fedorapeople.org/kf5/review/kf5-plasma.spec
SRPM URL: http://dvratil.fedorapeople.org/kf5/review/kf5-plasma-4.100.0-1.fc20.src.rpm
Description: KDE Frameworks 5 Tier 3 framework with foundations to build a primary user interface.
Fedora Account System Username: dvratil

Comment 1 Jan Grulich 2014-07-07 07:58:43 UTC
1) BuildRequires and Requires: kf5-kactivities-libs-devel - this subpackage doesn't exist
2) Missing BSD license
3) Summary is too long
4) Self obsoletion - you have to specify versions

Comment 2 Daniel Vrátil 2014-07-07 12:15:53 UTC
Spec URL: http://dvratil.fedorapeople.org/kf5/review/kf5-plasma.spec
SRPM URL: http://dvratil.fedorapeople.org/kf5/review/kf5-plasma-4.100.0-2.fc20.src.rpm

- Fixed license
- Fixed summary
- Removed Provides/Obsoleted (it was related to the Copr repo, but is irrelevant here)
- Fixed BR

Comment 3 Jan Grulich 2014-07-07 12:29:51 UTC
Looks good now, approved.

Comment 4 Daniel Vrátil 2014-07-07 12:30:29 UTC
New Package SCM Request
=======================
Package Name: kf5-plasma
Short Description: KDE Frameworks 5 Tier 3 framework is foundation to build a primary user interface
Upstream URL: http://www.kde.org
Owners: dvratil ltinkl jgrulich kkofler rdieter than
Branches: 
InitialCC:

Comment 5 Gwyn Ciesla 2014-07-07 12:41:52 UTC
Git done (by process-git-requests).

Comment 6 Daniel Vrátil 2014-09-25 09:05:31 UTC
Package Change Request
=======================
Package Name: kf5-plasma
New Branches: f20
Owners: dvratil ltinkl jgrulich kkofler rdieter than

Comment 7 Gwyn Ciesla 2014-09-25 13:13:24 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.